## org.eclipse.emf.codegen.jet
Class JETParser.DelegatingListener

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETParser.DelegatingListener

All Implemented Interfaces:
  JETParseEventListener

Enclosing class:
  JETParser

    public static class JETParser.DelegatingListener

extends java.lang.Object
implements JETParseEventListener

Field Summary
`protected JETParser.Action` `action`
`protected JETParseEventListener` `delegate`

Constructor Summary
`JETParser.DelegatingListener(JETParseEventListener delegate, JETParser.Action action)`

Method Summary
`void` `beginPageProcessing()`
`void` `doAction()`
`void` `endPageProcessing()`
`void` `handleCharData(char[] chars)`
`void` `handleDirective(java.lang.String directive, JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attrs)`
`void` `handleExpression(JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attrs)`
`void` `handleScriptlet(JETMark start, JETMark stop, java.util.Map<java.lang.String,java.lang.String> attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected JETParseEventListener delegate

### action

    protected JETParser.Action action

Constructor Detail

### JETParser.DelegatingListener

    public JETParser.DelegatingListener(JETParseEventListener delegate,
                                        JETParser.Action action)

Method Detail

### doAction

    public void doAction()
                  throws JETException

  Throws:
    `JETException`

### beginPageProcessing

    public void beginPageProcessing()
                             throws JETException

  Specified by:
    `beginPageProcessing` in interface `JETParseEventListener`
  Throws:
    `JETException`

### endPageProcessing

    public void endPageProcessing()
                           throws JETException

  Specified by:
    `endPageProcessing` in interface `JETParseEventListener`
  Throws:
    `JETException`

### handleDirective

    public void handleDirective(java.lang.String directive,
                                JETMark start,
                                JETMark stop,
                                java.util.Map<java.lang.String,java.lang.String> attrs)
                         throws JETException

  Specified by:
    `handleDirective` in interface `JETParseEventListener`
  Throws:
    `JETException`

### handleScriptlet

    public void handleScriptlet(JETMark start,
                                JETMark stop,
                                java.util.Map<java.lang.String,java.lang.String> attrs)
                         throws JETException

  Specified by:
    `handleScriptlet` in interface `JETParseEventListener`
  Throws:
    `JETException`

### handleExpression

    public void handleExpression(JETMark start,
                                 JETMark stop,
                                 java.util.Map<java.lang.String,java.lang.String> attrs)
                          throws JETException

  Specified by:
    `handleExpression` in interface `JETParseEventListener`
  Throws:
    `JETException`

### handleCharData

    public void handleCharData(char[] chars)
                        throws JETException

  Specified by:
    `handleCharData` in interface `JETParseEventListener`
  Throws:
    `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.